If you're going the command-line upgrade route, you need to change all your repositories to maverick rather than just main, and you want to use
sudo apt-get dist-upgrade

From man apt-get:


...